[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.WriteFloat

Write a floating-point value

## Declaration

Source position: inifiles.pp line 147

`public procedure TCustomIniFile.WriteFloat(`
`const Section: string;`
`const Ident: string;`
`Value: Double`
`); virtual;`

## Arguments

`Section` |  | Section to write key value to
`Ident` |  | Key name with which to write value
`Value` |  | Float value to write

## Description

WriteFloat writes the time Value with the name Ident to the section Section, overwriting any previous value that may exist there. The section will be created if it does not exist. The floating point value is written using the internationalization settings in the SysUtils unit.

## See also

ReadFloat |  | Read a floating point value
WriteInteger |  | Write an integer value
WriteBool |  | Write boolean value
WriteDate |  | Write date value
WriteDateTime |  | Write date/time value
WriteTime |  | Write time value
WriteString |  | Write a string value
WriteBinaryStream |  | Write binary data

Documentation generated on: Feb 26 2014